Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface TemplateHelper

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TemplateHelperImpl

    public interface TemplateHelper

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Template Helper'. The TemplateHelper element provides a way to define a helper class that can be used to augment the data model available to a template. Before invoking a template, the generator framework will create an instance of the helper class and add it to the helpers HashMap passed to the template. The only requirement for a helper class is that it have a public constructor that takes an EObject and a GenerateRequestApplicationControlData as parameters, e.g., public HelperClass(EObject object,GenerateRequestApplicationControlData controlData) {} ;

The following features are supported:

- `Name`
- `Helper Class Name`
- `Applies To`

See Also:
  `GenctlPackage.getTemplateHelper()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAppliesTo()` Returns the value of the 'Applies To' containment reference list.
`java.lang.Class` | `getHelperClass()`
`java.lang.String` | `getHelperClassName()` Returns the value of the 'Helper Class Name' attribute
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`void` | `setHelperClass(java.lang.Class helperClass)`
`void` | `setHelperClassName(java.lang.String value)` Sets the value of the '`Helper Class Name`' attribute
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. Identifies the helper in the helpers HashMap passed to the template.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GenctlPackage.getTemplateHelper_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getHelperClassName

    java.lang.String getHelperClassName()

  Returns the value of the 'Helper Class Name' attribute. Fully qualified class name of the helper class.

  Returns:
    the value of the 'Helper Class Name' attribute.
  See Also:
    `setHelperClassName(String)`, `GenctlPackage.getTemplateHelper_HelperClassName()`

### setHelperClassName

    void setHelperClassName(java.lang.String value)

  Sets the value of the '`Helper Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Helper Class Name' attribute.
  See Also:
    `getHelperClassName()`

### getAppliesTo

    org.eclipse.emf.common.util.EList getAppliesTo()

  Returns the value of the 'Applies To' containment reference list. The list contents are of type `AppliesTo`.

  If the meaning of the 'Applies To' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Applies To' containment reference list.
  See Also:
    `GenctlPackage.getTemplateHelper_AppliesTo()`

### getHelperClass

    java.lang.Class getHelperClass()

### setHelperClass

    void setHelperClass(java.lang.Class helperClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD